aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHeikki Halmet <heikki.halmet@qt.io>2018-11-21 11:29:51 +0200
committerLiang Qi <liang.qi@qt.io>2019-01-04 14:09:59 +0000
commit72d0cfc6dc2195d91e2cb89004a09b1e6338a050 (patch)
tree6c438cd1a72a7bd3e4feda2461e135e275087711
parent07063160ae5c0ac793285eef45166c91398371ac (diff)
Provisioning: Add Squish Coco for RTA
Task-number: QTQAINFRA-2393 Change-Id: I391a2670a46835988da6fd1d9121172c706c7a21 Reviewed-by: Johanna Äijälä <johanna.aijala@qt.io>
-rwxr-xr-xcoin/provisioning/common/linux/squish-coco.sh60
-rw-r--r--coin/provisioning/common/windows/squish-coco.ps148
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/91-squish-coco.sh3
-rw-r--r--coin/provisioning/qtci-windows-10-x86_64/91-squish-coco.ps12
4 files changed, 113 insertions, 0 deletions
diff --git a/coin/provisioning/common/linux/squish-coco.sh b/coin/provisioning/common/linux/squish-coco.sh
new file mode 100755
index 00000000..4f8627d3
--- /dev/null
+++ b/coin/provisioning/common/linux/squish-coco.sh
@@ -0,0 +1,60 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2018 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# This script installs Squish Coco
+
+set -ex
+
+# shellcheck source=../unix/DownloadURL.sh
+source "${BASH_SOURCE%/*}/../unix/DownloadURL.sh"
+# shellcheck source=../unix/SetEnvVar.sh
+source "${BASH_SOURCE%/*}/../unix/SetEnvVar.sh"
+
+
+version="4.2.2"
+sha1="a44f0f039f3712c715eea63c4021d08bf17a44c6"
+package="SquishCocoSetup_${version}_Linux_x86_64.run"
+url="http://ci-files01-hki.intra.qt.io/input/coco//$package"
+
+echo "Enable license for Coco"
+
+DownloadURL "$url" "$url" "$sha1" "/tmp/$package"
+sudo chmod 755 "/tmp/$package"
+echo 1 | sudo "/tmp/$package" "--nox11"
+
+/opt/SquishCoco/bin/cocolic --license-server=Qt-SRV-33.intra.qt.io:49344
+
+echo "export PATH=/opt/SquishCoco/bin/:$PATH" >> ~/.bashrc
+
diff --git a/coin/provisioning/common/windows/squish-coco.ps1 b/coin/provisioning/common/windows/squish-coco.ps1
new file mode 100644
index 00000000..cef4dadf
--- /dev/null
+++ b/coin/provisioning/common/windows/squish-coco.ps1
@@ -0,0 +1,48 @@
+#############################################################################
+#
+# Copyright (C) 2018 The Qt Company Ltd.
+# Contact: http://www.qt.io/licensing/
+#
+# This file is part of the provisioning scripts of the Qt Toolkit.
+#
+# $QT_BEGIN_LICENSE:LGPL21$
+# Commercial License Usage
+# Licensees holding valid commercial Qt licenses may use this file in
+# accordance with the commercial license agreement provided with the
+# Software or, alternatively, in accordance with the terms contained in
+# a written agreement between you and The Qt Company. For licensing terms
+# and conditions see http://www.qt.io/terms-conditions. For further
+# information use the contact form at http://www.qt.io/contact-us.
+#
+# GNU Lesser General Public License Usage
+# Alternatively, this file may be used under the terms of the GNU Lesser
+# General Public License version 2.1 or version 3 as published by the Free
+# Software Foundation and appearing in the file LICENSE.LGPLv21 and
+# LICENSE.LGPLv3 included in the packaging of this file. Please review the
+# following information to ensure the GNU Lesser General Public License
+# requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+# http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+#
+# As a special exception, The Qt Company gives you certain additional
+# rights. These rights are described in The Qt Company LGPL Exception
+# version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+#
+# $QT_END_LICENSE$
+#
+############################################################################
+
+# This script installs Squish Coco for RTA
+
+. "$PSScriptRoot\helpers.ps1"
+
+
+$coco_version="4.2.2"
+$url="http://ci-files01-hki.intra.qt.io/input/coco/SquishCocoSetup_" + $coco_version + "_Windows_x64.exe"
+$sha1="d6f9f3c20df086ec9a7e13a068f4446442ae5d51"
+$installer="C:\Windows\Temp\SquishCocoSetup_" + $coco_version + "_Windows_x64.exe"
+
+Download $url $url $installer
+Verify-Checksum $installer $sha1
+Run-Executable $installer "/S"
+Run-Executable "C:\Program Files\squishcoco\cocolic.exe" "--license-server=Qt-SRV-33.intra.qt.io:49344"
+Remove-Item -Force -Path $installer
diff --git a/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/91-squish-coco.sh b/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/91-squish-coco.sh
new file mode 100755
index 00000000..43790efd
--- /dev/null
+++ b/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/91-squish-coco.sh
@@ -0,0 +1,3 @@
+#!/bin/bash
+
+source "${BASH_SOURCE%/*}/../common/linux/squish-coco.sh"
diff --git a/coin/provisioning/qtci-windows-10-x86_64/91-squish-coco.ps1 b/coin/provisioning/qtci-windows-10-x86_64/91-squish-coco.ps1
new file mode 100644
index 00000000..bf4f8a96
--- /dev/null
+++ b/coin/provisioning/qtci-windows-10-x86_64/91-squish-coco.ps1
@@ -0,0 +1,2 @@
+ "$PSScriptRoot\..\common\windows\squish-coco.ps1"
+